/* Base/Custom */

a,
button {
  transition: 60ms background-color border-color color text-decoration box-shadow ease-in;
}

altcha-widget {
  display: block;
  width: fit-content;
  min-width: 250px;
  max-width: 100%;
  margin-inline: auto;
  color-scheme: light;
  --altcha-color-base: transparent;
}

[data-theme='dark'] altcha-widget {
  color-scheme: dark;
}

@media (prefers-color-scheme: dark) {
  [data-theme='system'] altcha-widget {
    color-scheme: dark;
  }
}

.logo-dark {
  display: none;
}

[data-theme='dark'] .logo-light {
  display: none;
}

[data-theme='dark'] .logo-dark {
  display: block;
}

@media (prefers-color-scheme: dark) {
  [data-theme='system'] .logo-light {
    display: none;
  }

  [data-theme='system'] .logo-dark {
    display: block;
  }
}
